1 Reply Latest reply: Mar 2, 2012 9:57 PM by Rysz
TheSomeone89 Level 1 Level 1 (0 points)

I have 10.6.8 snow leopard on my 2009 model 20in imac. Any answers?


iMac